sample20.cpp File Reference

Example: bvector<> - bit-shifts. More...

`#include <iostream>`
`#include "bm.h"`
`#include "bmundef.h"`
Include dependency graph for sample20.cpp:

Go to the source code of this file.

## Functions

template<class T>
void | PrintContainer (T first, T last)
int | main (void)

## Detailed Description

Example: bvector<> - bit-shifts.

Definition in file sample20.cpp.

## Function Documentation

## main()

int main | ( | void |  | ) |

Definition at line 49 of file sample20.cpp.

References bm::bvector< Alloc >::end(), bm::bvector< Alloc >::first(), bm::bvector< Alloc >::insert(), PrintContainer(), and bm::bvector< Alloc >::shift_right().

## PrintContainer()

template<class T>

void PrintContainer | ( | T | first,
|  | T | last )

Definition at line 39 of file sample20.cpp.

Referenced by main().